org.apache.cxf.common.util

## Class ProxyClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.apache.cxf.common.util.ProxyClassLoader

-     public class ProxyClassLoader
      extends ClassLoader

  Utility class loader that can be used to create proxies in cases where the the client classes are not visible to the loader of the service class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyClassLoader(ClassLoader parent)`
    `ProxyClassLoader(ClassLoader parent, Class<?>[] cls)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLoader(ClassLoader loader)`
    `Class<?>` | `findClass(String name)`
    `URL` | `findResource(String name)`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyClassLoader

          public ProxyClassLoader(ClassLoader parent)

    - #### ProxyClassLoader

          public ProxyClassLoader(ClassLoader parent,
                                  Class<?>[] cls)

  - ### Method Detail

    - #### addLoader

          public void addLoader(ClassLoader loader)

    - #### findClass

          public Class<?> findClass(String name)
                             throws ClassNotFoundException

      Overrides:
        `findClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`

    - #### findResource

          public URL findResource(String name)

      Overrides:
        `findResource` in class `ClassLoader`

Apache CXF